"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileInput = void 0;
const react_1 = __importStar(require("react"));
const compass_components_1 = require("@mongodb-js/compass-components");
function FileInput({ label, value, mode, disabled, onChange, }) {
    const onChangeFiles = (0, react_1.useCallback)((files) => {
        if (files.length > 0)
            onChange(files[0]);
    }, [onChange]);
    return (react_1.default.createElement(compass_components_1.FileInput, { disabled: disabled, label: label, onChange: onChangeFiles, id: "conn-import-export-file-input", accept: ".json", variant: "vertical", values: value ? [value] : [], title: "Select connections file", defaultPath: "compass-connections.json", mode: mode, buttonLabel: "Select" }));
}
exports.FileInput = FileInput;
//# sourceMappingURL=file-input.js.map